package com.hzya.frame.u8.production.service;

import com.hzya.frame.u8.production.dto.MomOrderDTO;
import com.hzya.frame.u8.production.dto.MomOrderDetailDTO;
import com.hzya.frame.u8.production.entity.MomOrderDetailEntity;
import com.hzya.frame.u8.production.entity.MomOrderEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @Description entity转换成 dto
 * @Author xiangerlin
 * @Date 2024/8/23 09:10
 **/
@Mapper
public interface MomOrderMapper {

    MomOrderMapper INSTANCE = Mappers.getMapper(MomOrderMapper.class);

    /**
     * 生产订单entity转dto
     * @param entity
     * @return
     */
    MomOrderDTO momOrderEntityToDto(MomOrderEntity entity);

    /**
     * 生产订单明细行列表转dto
     * @param list
     * @return
     */
    List<MomOrderDetailDTO> momOrderDetailListToDto(List<MomOrderDetailEntity> list);
}
